Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Jul 2014 11:25:54 +0300

> From: [email-masked]
> Date: Tue, 22 Jul 2014 10:15:38 +0200
> 
> Currently, the `Info-quoted' face is defined as follows in info.el:
> 
> (defface Info-quoted
>   '((t :family "courier"))
>   "Face used for quoted elements.")

This also violates the convention that Info face names start with a
lower-case letter.

> I do no think that mode faces should *hard-code* specific font families,
> and thus bypass any customization of the default face that the user
> might have made to pick their preferred font.
> 
> Besides, courier is not a particularly friendly choice.  There is no
> specific font with that name.  The actual font depends on the font
> configuration and aliasing picked by the OS and the user, and depending
> on the quality of this configuration the appearance of this font varies
> greatly.  If the configuration is particularly poor, or if a proper
> substitute font is missing, Emacs might even fall back to X11 bitmap
> fonts, which are particularly ugly on modern screens.
> 
> So just because it's pretty on your screen, it doesn't need to be pretty
> on some else's screen.
> 
> Please remove the hard-coded font family and inherit from the default
> face instead.

Thank you for your report.

Would you like to suggest a patch for fixing this problem?  Please
note that the underlying issue here is that the font should provide
nice-looking glyphs for the Unicode quote characters.